db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bryan Pendleton <bpendle...@amberpoint.com>
Subject Re: Build warning
Date Sat, 29 Apr 2006 00:07:37 GMT
David W. Van Couvering wrote:
> Next question: do we have to live with this warning until we no longer 
> support JDK 1.4, or is there a way to resolve this?

I think we could modify our Ant script to say:

   <compilerarg compiler="javac1.5" value="-Xlint:-unchecked"/>

at the crucial spot (that is, in the <javac> target which compiles this file).

This would tell Ant to tell JavaC, if we are compiling with JDK 1.5,
that we don't care to hear any warnings about unchecked conversions.

Since you're using JDK 1.6, we might need to have two <compilerarg>
tags, one for 1.5 and one for 1.6.

Of course, we might not want to turn off compiler warnings.

Maybe others on the list have other alternate suggestions.

thanks,

bryan


Mime
View raw message